# ************************************************************
# Sequel Pro SQL dump
# Version 4541
#
# http://www.sequelpro.com/
# https://github.com/sequelpro/sequelpro
#
# Host: bigbird.theemptyspace.com (MySQL 5.1.66)
# Database: vcb_test20170222_vcallboard_com
# Generation Time: 2017-02-21 23:29:20 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table api_tokens
# ------------------------------------------------------------

DROP TABLE IF EXISTS `api_tokens`;

CREATE TABLE `api_tokens` (
  `tokenid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `token` varchar(13) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `userid` int(25) NOT NULL,
  `expires` datetime NOT NULL,
  PRIMARY KEY (`tokenid`),
  KEY `token` (`token`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table cf_category
# ------------------------------------------------------------

DROP TABLE IF EXISTS `cf_category`;

CREATE TABLE `cf_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `start` datetime DEFAULT NULL,
  `end` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table cf_entries
# ------------------------------------------------------------

DROP TABLE IF EXISTS `cf_entries`;

CREATE TABLE `cf_entries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `dayid` tinyint(4) DEFAULT NULL,
  `start` time DEFAULT NULL,
  `end` time DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table company
# ------------------------------------------------------------

DROP TABLE IF EXISTS `company`;

CREATE TABLE `company` (
  `company_id` int(11) NOT NULL AUTO_INCREMENT,
  `companyname` varchar(255) NOT NULL DEFAULT '',
  `companyabbr` varchar(6) NOT NULL DEFAULT '',
  `created` datetime DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '0',
  `archive_date` datetime NOT NULL,
  PRIMARY KEY (`company_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table company_users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `company_users`;

CREATE TABLE `company_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL DEFAULT '0',
  `company_id` int(11) NOT NULL DEFAULT '0',
  `company_title` varchar(255) DEFAULT NULL,
  `company_userlevel` tinyint(1) DEFAULT NULL,
  `company_dept` int(11) DEFAULT NULL,
  `manager` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table contact_sheets_saved
# ------------------------------------------------------------

DROP TABLE IF EXISTS `contact_sheets_saved`;

CREATE TABLE `contact_sheets_saved` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `userid` int(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `contactArray` longtext,
  `created` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table filedata
# ------------------------------------------------------------

DROP TABLE IF EXISTS `filedata`;

CREATE TABLE `filedata` (
  `filedata_id` int(11) NOT NULL AUTO_INCREMENT,
  `filename` varchar(255) DEFAULT NULL,
  `extension` varchar(10) DEFAULT NULL,
  `mimetype` varchar(100) DEFAULT NULL,
  `size` varchar(100) DEFAULT NULL,
  `data` longblob,
  `created` datetime DEFAULT NULL,
  `modified` datetime DEFAULT NULL,
  PRIMARY KEY (`filedata_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `filedata` WRITE;
/*!40000 ALTER TABLE `filedata` DISABLE KEYS */;

INSERT INTO `filedata` (`filedata_id`, `filename`, `extension`, `mimetype`, `size`, `data`, `created`, `modified`)
VALUES
	(1,'/images/cache/defaultprofile.png','.png',NULL,NULL,NULL,NULL,NULL),
	(2,'/images/cache/defaultprofile.png','.png',NULL,NULL,NULL,NULL,NULL);

/*!40000 ALTER TABLE `filedata` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table fileshare
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fileshare`;

CREATE TABLE `fileshare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` tinytext,
  `vfolder_id` int(11) DEFAULT NULL,
  `owner` int(11) DEFAULT NULL,
  `company_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table fileshare_dept
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fileshare_dept`;

CREATE TABLE `fileshare_dept` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dept_id` int(11) DEFAULT NULL,
  `file_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table fileshare_filedata
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fileshare_filedata`;

CREATE TABLE `fileshare_filedata` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `fileshare_id` int(11) DEFAULT NULL,
  `filedata_id` int(11) DEFAULT NULL,
  `filename` varchar(255) DEFAULT NULL,
  `filesize` int(11) DEFAULT NULL,
  `extension` varchar(10) DEFAULT NULL,
  `dateuploaded` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table fileshare_vfolders
# ------------------------------------------------------------

DROP TABLE IF EXISTS `fileshare_vfolders`;

CREATE TABLE `fileshare_vfolders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `active` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table forum
# ------------------------------------------------------------

DROP TABLE IF EXISTS `forum`;

CREATE TABLE `forum` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parentid` int(11) NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `body` mediumtext NOT NULL,
  `posted` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `author` int(11) NOT NULL DEFAULT '0',
  `company_id` int(11) DEFAULT '0',
  `topic_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table forum_fileshare
# ------------------------------------------------------------

DROP TABLE IF EXISTS `forum_fileshare`;

CREATE TABLE `forum_fileshare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `threadid` int(11) NOT NULL DEFAULT '0',
  `fileid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table forum_users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `forum_users`;

CREATE TABLE `forum_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `threadid` int(11) NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `groupid` int(11) NOT NULL DEFAULT '0',
  `timesread` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table inv_category
# ------------------------------------------------------------

DROP TABLE IF EXISTS `inv_category`;

CREATE TABLE `inv_category` (
  `categoryID` int(11) NOT NULL AUTO_INCREMENT,
  `categoryName` varchar(255) DEFAULT NULL,
  `abbr` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`categoryID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table inv_events
# ------------------------------------------------------------

DROP TABLE IF EXISTS `inv_events`;

CREATE TABLE `inv_events` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `inventory_id` int(11) NOT NULL,
  `comments` varchar(255) NOT NULL,
  `condition` varchar(255) NOT NULL,
  `use_by` int(11) NOT NULL,
  `production_id` int(11) NOT NULL,
  `created_date` datetime DEFAULT NULL,
  `return_date` date DEFAULT NULL,
  `number` int(11) NOT NULL,
  `cause` enum('maintenance','production','other','archivate','return') NOT NULL DEFAULT 'other',
  `user_type` enum('internal','external') NOT NULL DEFAULT 'internal',
  `event_type` enum('checkout','checkin','archivate','return','create') NOT NULL DEFAULT 'checkout',
  `related_event_id` int(11) NOT NULL DEFAULT '0',
  `expense` int(11) NOT NULL DEFAULT '0',
  `active` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `number` (`number`),
  KEY `cause` (`cause`),
  KEY `user_type` (`user_type`),
  KEY `event_type` (`event_type`),
  KEY `related_event_id` (`related_event_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table inv_files
# ------------------------------------------------------------

DROP TABLE IF EXISTS `inv_files`;

CREATE TABLE `inv_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `file_id` int(11) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `title` text NOT NULL,
  `thumb_path` varchar(255) NOT NULL,
  `type` enum('image','file') NOT NULL DEFAULT 'image',
  PRIMARY KEY (`id`),
  KEY `item_id` (`item_id`),
  KEY `file_id` (`file_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table inv_files_temp
# ------------------------------------------------------------

DROP TABLE IF EXISTS `inv_files_temp`;

CREATE TABLE `inv_files_temp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `path` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`,`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table inv_items
# ------------------------------------------------------------

DROP TABLE IF EXISTS `inv_items`;

CREATE TABLE `inv_items` (
  `inventoryID` int(11) NOT NULL AUTO_INCREMENT,
  `category` int(11) NOT NULL,
  `condition` int(11) NOT NULL,
  `itemName` varchar(255) DEFAULT NULL,
  `customID` bigint(20) DEFAULT '0',
  `location` varchar(255) NOT NULL DEFAULT '0',
  `description` mediumtext,
  `visibility` varchar(24) DEFAULT NULL,
  `alterable` tinyint(1) DEFAULT NULL,
  `designer` varchar(255) DEFAULT NULL,
  `vendor` int(11) DEFAULT '0',
  `replacementValue` varchar(100) DEFAULT NULL,
  `rentalValuePeriod` tinyint(2) DEFAULT NULL,
  `rentalValue` varchar(100) DEFAULT NULL,
  `quantity` int(11) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `balance_in_stock` int(11) NOT NULL,
  `archived` tinyint(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`inventoryID`),
  KEY `category` (`category`),
  KEY `condition` (`condition`),
  KEY `location` (`location`),
  KEY `balance_in_stock` (`balance_in_stock`),
  KEY `archived` (`archived`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table inv_position
# ------------------------------------------------------------

DROP TABLE IF EXISTS `inv_position`;

CREATE TABLE `inv_position` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `space_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`,`space_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table inv_tags
# ------------------------------------------------------------

DROP TABLE IF EXISTS `inv_tags`;

CREATE TABLE `inv_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` enum('description','location') NOT NULL,
  `tag` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tag` (`tag`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table inv_tags_items
# ------------------------------------------------------------

DROP TABLE IF EXISTS `inv_tags_items`;

CREATE TABLE `inv_tags_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `item_tag_index` (`tag_id`,`item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table inv_terms
# ------------------------------------------------------------

DROP TABLE IF EXISTS `inv_terms`;

CREATE TABLE `inv_terms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `abbr` varchar(255) NOT NULL,
  `type` enum('category','condition') NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `inv_terms` WRITE;
/*!40000 ALTER TABLE `inv_terms` DISABLE KEYS */;

INSERT INTO `inv_terms` (`id`, `name`, `abbr`, `type`)
VALUES
	(1,'New','New','condition'),
	(2,'Good','Good','condition'),
	(3,'Fair','Fair','condition'),
	(4,'Poor','Poor','condition');

/*!40000 ALTER TABLE `inv_terms` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table menu
# ------------------------------------------------------------

DROP TABLE IF EXISTS `menu`;

CREATE TABLE `menu` (
  `seq` tinyint(4) NOT NULL DEFAULT '0',
  `name` varchar(30) NOT NULL DEFAULT '',
  `url` varchar(80) NOT NULL DEFAULT '',
  `startlevel` tinyint(4) NOT NULL DEFAULT '0',
  `endlevel` tinyint(4) NOT NULL DEFAULT '0',
  `active` int(11) NOT NULL DEFAULT '0',
  `ref` varchar(100) NOT NULL,
  `navlevel` tinyint(4) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `menu` WRITE;
/*!40000 ALTER TABLE `menu` DISABLE KEYS */;

INSERT INTO `menu` (`seq`, `name`, `url`, `startlevel`, `endlevel`, `active`, `ref`, `navlevel`)
VALUES
	(10,'Home','index.php',0,4,1,'index.php',0),
	(110,'Administration','admin/index.php',3,4,1,'admin',0),
	(20,'Announcements','news/index.php',1,4,1,'news',0),
	(105,'Contacts','contact/index.php',1,4,1,'contact',0),
	(80,'File Sharing','fileshare/index.php',1,4,1,'fileshare',0),
	(5,'Fittings','fittings/index.php',1,4,1,'fittings',40),
	(40,'Schedule','calls/index.php',1,4,1,'calls',0),
	(24,'Notes & Email','notes/index.php',2,4,1,'notes',0),
	(60,'Reports','reports/index.php',1,4,1,'reports',0),
	(20,'Learn more about VirtualPSM','redirect.php',0,0,1,'redirect.php',0),
	(23,'View Notes','notes/index.php',1,1,1,'notes',0),
	(2,'Attendance','calls/attendance.php',1,4,1,'attendance.php',40),
	(1,'View Schedule','calls/index.php',1,4,1,'index.php',40),
	(1,'User Administration','admin/index.php',3,4,1,'index.php',110),
	(3,'Production Administration','admin/company_admin.php',3,4,1,'company_admin.php',110),
	(4,'Site Administration','admin/siteadmin.php',4,4,1,'siteadmin.php',110),
	(25,'Discussion','forum/index.php',1,4,1,'forum',0),
	(3,'Availability','calls/availability.php',1,4,1,'availability.php',40),
	(10,'Invoices/Payments','admin/account.php',4,4,1,'account.php',110);

/*!40000 ALTER TABLE `menu` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table news
# ------------------------------------------------------------

DROP TABLE IF EXISTS `news`;

CREATE TABLE `news` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL DEFAULT '0',
  `time_posted` datetime DEFAULT NULL,
  `message` text,
  `posted_by` varchar(100) DEFAULT NULL,
  `expires` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `author` int(11) DEFAULT NULL,
  `subject` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table notes_messages
# ------------------------------------------------------------

DROP TABLE IF EXISTS `notes_messages`;

CREATE TABLE `notes_messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL DEFAULT '0',
  `sentby` varchar(60) NOT NULL DEFAULT '',
  `sentbyid` int(11) NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `note` longtext NOT NULL,
  `datesent` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `display_to_owner` tinyint(2) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `company_id` (`company_id`),
  KEY `sentbyid` (`sentbyid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table notes_to_users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `notes_to_users`;

CREATE TABLE `notes_to_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `messageid` int(11) NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `reads` tinyint(4) NOT NULL DEFAULT '0',
  `deleted` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `messageid` (`messageid`),
  KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table report_recipients
# ------------------------------------------------------------

DROP TABLE IF EXISTS `report_recipients`;

CREATE TABLE `report_recipients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `report_id` int(11) NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `filer` tinyint(1) NOT NULL DEFAULT '1',
  `access` tinyint(1) NOT NULL DEFAULT '1',
  `send` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table report_settings
# ------------------------------------------------------------

DROP TABLE IF EXISTS `report_settings`;

CREATE TABLE `report_settings` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `report_title` varchar(255) NOT NULL DEFAULT '',
  `manname` enum('yes','no') NOT NULL DEFAULT 'yes',
  `date` enum('yes','no') NOT NULL DEFAULT 'yes',
  `spacename` enum('yes','no') NOT NULL DEFAULT 'no',
  `location` enum('yes','no') NOT NULL DEFAULT 'no',
  `house` enum('yes','no') NOT NULL DEFAULT 'no',
  `perfnumber` int(11) NOT NULL DEFAULT '0',
  `reaction` enum('yes','no') NOT NULL DEFAULT 'no',
  `standingo` enum('yes','no') NOT NULL DEFAULT 'no',
  `breaks` enum('yes','no') NOT NULL DEFAULT 'no',
  `material_rehearsed` enum('yes','no') NOT NULL DEFAULT 'yes',
  `other1` varchar(255) DEFAULT NULL,
  `other2` varchar(255) DEFAULT NULL,
  `other3` varchar(255) DEFAULT NULL,
  `run1` varchar(255) DEFAULT NULL,
  `run2` varchar(255) DEFAULT NULL,
  `run3` varchar(255) DEFAULT NULL,
  `run4` varchar(255) DEFAULT NULL,
  `run5` varchar(255) DEFAULT NULL,
  `run6` varchar(255) DEFAULT NULL,
  `dname1` varchar(255) DEFAULT NULL,
  `dname2` varchar(255) DEFAULT NULL,
  `dname3` varchar(255) DEFAULT NULL,
  `dname4` varchar(255) DEFAULT NULL,
  `dname5` varchar(255) DEFAULT NULL,
  `dname6` varchar(255) DEFAULT NULL,
  `dname7` varchar(255) DEFAULT NULL,
  `dname8` varchar(255) DEFAULT NULL,
  `dname9` varchar(255) DEFAULT NULL,
  `dname10` varchar(255) DEFAULT NULL,
  `dname11` varchar(255) DEFAULT NULL,
  `dname12` varchar(255) DEFAULT NULL,
  `archive` tinyint(4) NOT NULL DEFAULT '0',
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `created` (`created`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table reports
# ------------------------------------------------------------

DROP TABLE IF EXISTS `reports`;

CREATE TABLE `reports` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL DEFAULT '0',
  `rid` int(9) NOT NULL DEFAULT '0',
  `filer_userid` int(25) DEFAULT NULL,
  `title_value` varchar(255) DEFAULT NULL,
  `manname_value` varchar(255) DEFAULT NULL,
  `date_value` date DEFAULT NULL,
  `spacename_value` varchar(255) DEFAULT NULL,
  `location_value` varchar(255) DEFAULT NULL,
  `house_value` int(11) DEFAULT NULL,
  `perfnumber_value` int(5) DEFAULT NULL,
  `reaction_value` varchar(255) DEFAULT NULL,
  `standingo_value` enum('yes','no','part') DEFAULT NULL,
  `breaks_value` longtext,
  `material_rehearsed_value` longtext,
  `other1_value` longtext,
  `other2_value` longtext,
  `other3_value` longtext,
  `start1` time DEFAULT NULL,
  `start2` time DEFAULT NULL,
  `start3` time DEFAULT NULL,
  `start4` time DEFAULT NULL,
  `start5` time DEFAULT NULL,
  `start6` time DEFAULT NULL,
  `dept1` longtext,
  `dept2` longtext,
  `dept3` longtext,
  `dept4` longtext,
  `dept5` longtext,
  `dept6` longtext,
  `dept7` longtext,
  `dept8` longtext,
  `dept9` longtext,
  `dept10` longtext,
  `dept11` longtext,
  `dept12` longtext,
  `archive` tinyint(1) NOT NULL DEFAULT '0',
  `report_timestamp` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table schedule
# ------------------------------------------------------------

DROP TABLE IF EXISTS `schedule`;

CREATE TABLE `schedule` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tdstart` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `tdend` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `type` varchar(30) NOT NULL DEFAULT '0',
  `title` varchar(100) NOT NULL DEFAULT '',
  `location_id` mediumint(9) NOT NULL DEFAULT '0',
  `location` varchar(60) NOT NULL DEFAULT '',
  `notes` text NOT NULL,
  `openclose` smallint(6) NOT NULL DEFAULT '0',
  `company_id` int(11) NOT NULL DEFAULT '0',
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `static_call_type` enum('fitting','conflict','deadline','') DEFAULT '',
  `call_support` enum('normal','all_day','time_tbd') DEFAULT 'normal',
  `user_available` tinyint(1) DEFAULT '1',
  `last_modified` datetime NOT NULL,
  `owner_id` int(11) NOT NULL DEFAULT '0',
  `is_private` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `tdstart` (`tdstart`),
  KEY `tdend` (`tdend`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table schedule_groups
# ------------------------------------------------------------

DROP TABLE IF EXISTS `schedule_groups`;

CREATE TABLE `schedule_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(200) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `userids` longtext CHARACTER SET latin1 NOT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table schedule_location
# ------------------------------------------------------------

DROP TABLE IF EXISTS `schedule_location`;

CREATE TABLE `schedule_location` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `location_name` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `active` tinyint(4) NOT NULL DEFAULT '0',
  `building_loc` varchar(60) CHARACTER SET latin1 DEFAULT NULL,
  `street1` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `street2` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `city` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `state` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `zip` varchar(20) CHARACTER SET latin1 DEFAULT NULL,
  `loc_notes` longtext CHARACTER SET latin1,
  `use_in_ss` tinyint(4) NOT NULL,
  `use_in_vcb` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `use_in_ss` (`use_in_ss`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table schedule_type
# ------------------------------------------------------------

DROP TABLE IF EXISTS `schedule_type`;

CREATE TABLE `schedule_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type_name` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `type_color` varchar(7) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `active` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table schedule_users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `schedule_users`;

CREATE TABLE `schedule_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `callid` int(11) NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `groupid` int(11) NOT NULL DEFAULT '0',
  `attendance_type` enum('on_time','late','unexcused','excused','left_early','opencall') CHARACTER SET latin1 DEFAULT NULL,
  `attendance_time` int(11) DEFAULT NULL,
  `view_notes` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`),
  KEY `callid` (`callid`),
  CONSTRAINT `schedule_users_ibfk_2` FOREIGN KEY (`callid`) REFERENCES `schedule` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `schedule_users_ibfk_1` FOREIGN KEY (`userid`) REFERENCES `users` (`userid`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table site_config
# ------------------------------------------------------------

DROP TABLE IF EXISTS `site_config`;

CREATE TABLE `site_config` (
  `name` varchar(100) NOT NULL DEFAULT '',
  `setting` text NOT NULL,
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `site_config` WRITE;
/*!40000 ALTER TABLE `site_config` DISABLE KEYS */;

INSERT INTO `site_config` (`name`, `setting`)
VALUES
	('defsmuid','ALL'),
	('showlogin','1'),
	('showauditions','0'),
	('error_reporting','0'),
	('timezone','zero'),
	('showlogo','0'),
	('frontmessage',''),
	('upgrade_sql','0105'),
	('COLORLINK','#5A63B5'),
	('COLORHILITE','#A1A9E7'),
	('COLORBORDER','#BDC0E7'),
	('COLORBG','#5E66B7'),
	('weekstart','0'),
	('timezone_for_all','0'),
	('ADD_NOTIFY_CALL_ATTACHMENTS','1'),
	('MOD_VCB_ENABLE','1'),
	('MOD_SS_ENABLE','1'),
	('max_companies','1'),
	('max_inventory','500'),
	('siteid','889'),
	('sitename','test20170222'),
	('siteurl','');

/*!40000 ALTER TABLE `site_config` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
  `userid` int(25) NOT NULL AUTO_INCREMENT,
  `first_name` varchar(100) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `last_name` varchar(100) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `email_address` varchar(200) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `username` varchar(200) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `PASSWORD` varchar(255) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `userlevel` enum('0','1','2','3','4') CHARACTER SET latin1 NOT NULL DEFAULT '0',
  `signup_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `last_login` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activated` enum('0','1','2') CHARACTER SET latin1 NOT NULL DEFAULT '0',
  `timezone` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `address1` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `citystatezip1` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `address2` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `citystatezip2` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `emailyn` tinyint(1) NOT NULL DEFAULT '0',
  `address1yn` tinyint(1) NOT NULL DEFAULT '0',
  `address2yn` tinyint(1) NOT NULL DEFAULT '0',
  `rcrpt` tinyint(1) NOT NULL DEFAULT '0',
  `emergname` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `emergphone` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `allergies` tinytext CHARACTER SET latin1,
  `photofilename` varchar(100) CHARACTER SET latin1 DEFAULT '/images/cache/defaultprofile.png',
  `calendar_token` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `emerg_country` varchar(2) CHARACTER SET latin1 NOT NULL DEFAULT 'US',
  `filedata_id` int(11) NOT NULL,
  `more_than_one_email` tinyint(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`userid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;

INSERT INTO `users` (`userid`, `first_name`, `last_name`, `email_address`, `username`, `PASSWORD`, `userlevel`, `signup_date`, `last_login`, `activated`, `timezone`, `address1`, `citystatezip1`, `address2`, `citystatezip2`, `emailyn`, `address1yn`, `address2yn`, `rcrpt`, `emergname`, `emergphone`, `allergies`, `photofilename`, `calendar_token`, `emerg_country`, `filedata_id`, `more_than_one_email`)
VALUES
	(1,'support','account','support@virtualcallboard.com','webmaster','45783318abddb0c53a9b855bc9fb5946','4','2005-03-08 01:00:24','2015-03-16 20:16:22','2','America/New_York','','','','',0,0,0,0,'a','5554444','','/images/cache/defaultprofile.png','23xwwkj4','US',1,0),
	(2,'s','a','sam@theemptyspace.com','a','244bdc4f8837c7aa102a28bd9fffcb42','4','0000-00-00 00:00:00','0000-00-00 00:00:00','1',NULL,'a ','s s s s','','',0,0,0,0,'','','','/images/cache/defaultprofile.png','z3h8nfsv','US',2,0);

/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table users_departments
# ------------------------------------------------------------

DROP TABLE IF EXISTS `users_departments`;

CREATE TABLE `users_departments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dept_name` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `users_departments` WRITE;
/*!40000 ALTER TABLE `users_departments` DISABLE KEYS */;

INSERT INTO `users_departments` (`id`, `dept_name`)
VALUES
	(1,'Directors'),
	(2,'Stage Management'),
	(3,'Designers'),
	(4,'Asst. Designers'),
	(5,'Technical Personnel'),
	(6,'Administrative Staff'),
	(7,'Cast');

/*!40000 ALTER TABLE `users_departments` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table users_email
# ------------------------------------------------------------

DROP TABLE IF EXISTS `users_email`;

CREATE TABLE `users_email` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `email` varchar(255) NOT NULL,
  `restrictions` tinyint(2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table users_notes
# ------------------------------------------------------------

DROP TABLE IF EXISTS `users_notes`;

CREATE TABLE `users_notes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `notes` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table users_phone
# ------------------------------------------------------------

DROP TABLE IF EXISTS `users_phone`;

CREATE TABLE `users_phone` (
  `id` int(25) NOT NULL AUTO_INCREMENT,
  `userid` int(25) NOT NULL,
  `priority` tinyint(4) DEFAULT NULL,
  `country` varchar(2) NOT NULL DEFAULT 'US',
  `number` varchar(100) NOT NULL,
  `type` varchar(100) DEFAULT NULL,
  `sms_enable` tinyint(1) NOT NULL DEFAULT '0',
  `restrictions` tinyint(1) NOT NULL DEFAULT '2',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `users_phone` WRITE;
/*!40000 ALTER TABLE `users_phone` DISABLE KEYS */;

INSERT INTO `users_phone` (`id`, `userid`, `priority`, `country`, `number`, `type`, `sms_enable`, `restrictions`)
VALUES
	(1,2,1,'US','a',NULL,0,1);

/*!40000 ALTER TABLE `users_phone` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table vendor_types
# ------------------------------------------------------------

DROP TABLE IF EXISTS `vendor_types`;

CREATE TABLE `vendor_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `vendor_type` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table vendors
# ------------------------------------------------------------

DROP TABLE IF EXISTS `vendors`;

CREATE TABLE `vendors` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `vendor_name` varchar(99) NOT NULL,
  `vendor_type` varchar(66) NOT NULL,
  `company_id` int(11) DEFAULT NULL,
  `all_departments` tinyint(1) NOT NULL DEFAULT '1',
  `vendor_only` tinyint(1) NOT NULL DEFAULT '0',
  `creator_id` int(11) NOT NULL,
  `description` varchar(99) NOT NULL,
  `phone` varchar(14) NOT NULL,
  `fax` varchar(14) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `website` varchar(255) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `city` varchar(99) DEFAULT NULL,
  `state` varchar(33) DEFAULT NULL,
  `zip` varchar(10) DEFAULT NULL,
  `vendor_contact_name` varchar(155) DEFAULT NULL,
  `vendor_contact_title` varchar(66) DEFAULT NULL,
  `vendor_contact_phone` varchar(14) DEFAULT NULL,
  `vendor_contact_phone_2` varchar(14) DEFAULT NULL,
  `vendor_contact_email` varchar(255) DEFAULT NULL,
  `vendor_contact_notes` longtext,
  `vendor_notes` longtext,
  PRIMARY KEY (`id`),
  UNIQUE KEY `vendor_name` (`vendor_name`),
  KEY `company_type` (`vendor_type`),
  KEY `company_name` (`vendor_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table vendors_departments
# ------------------------------------------------------------

DROP TABLE IF EXISTS `vendors_departments`;

CREATE TABLE `vendors_departments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `vendor_id` int(11) NOT NULL,
  `department_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `vendor_id` (`vendor_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
